Package weka.core

# Class Defaults

java.lang.Object
weka.core.Defaults

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AttributeSummaryPerspective.AttDefaults`, `BaseExecutionEnvironment.BaseExecutionEnvironmentDefaults`, `GUIChooserApp.GUIChooserDefaults`, `ImageSaver.ImageSaverDefaults`, `KFDefaults`, `KnowledgeFlowApp.KnowledgeFlowGeneralDefaults`, `PreprocessPanel.PreprocessDefaults`, `TextSaver.TextSaverDefaults`, `VisualizePanel.ScatterDefaults`, `VisualizeUtils.VisualizeDefaults`, `WorkbenchDefaults`

public class Defaults extends Object implements Serializable
Base class for providing a set of default settings for an application.

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Defaults(String ID)`
  Construct a new empty Defaults
  `Defaults(String ID, Map<Settings.SettingKey,Object> defaults)`
  Construct a new Defaults

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Defaults toAdd)`
  Add the supplied defaults to this one.
  `Map<Settings.SettingKey,Object>`
  `getDefaults()`
  Get the map of default settings
  `String`
  `getID()`
  Get the ID of this set of defaults
  `void`
  `setID(String ID)`
  Set the ID for this set of defaults

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Defaults

    public Defaults(String ID)
    Construct a new empty Defaults
    Parameters:
      `ID` - the ID for this set of defaults

  - ### Defaults

    public Defaults(String ID, Map<Settings.SettingKey,Object> defaults)
    Construct a new Defaults
    Parameters:
      `ID` - the ID for this set of defaults
      `defaults` - the default settings to use

- ## Method Details

  - ### getID

    public String getID()
    Get the ID of this set of defaults
    Returns:
      the ID of this set of defaults

  - ### setID

    public void setID(String ID)
    Set the ID for this set of defaults
    Parameters:
      `ID` - the ID to use

  - ### getDefaults

    public Map<Settings.SettingKey,Object> getDefaults()
    Get the map of default settings
    Returns:
      the map of default settings

  - ### add

    public void add(Defaults toAdd)
    Add the supplied defaults to this one. Note that the added defaults now come under the ID of this set of defaults.
    Parameters:
      `toAdd` - the defaults to add